POSTGetCanDelegatedMaxSize

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/getcandelegatedmaxsize

In Stake 2.0, query the amount of delegatable resources share of the specified resource type for an address, unit is sun.

Request Body
owner_addressstringrequired

Transaction initiator address. (Format: Base58 or Hex)

typeinteger (int32)required

Resource type, 0 is bandwidth, 1 is energy.

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
max_sizeinteger (int64)

Maximum amount of delegatable resource shares. (Unit: sun)

X-API-KEY
RequestCU20
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/getcandelegatedmaxsize" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "type": 1,
  "visible": true
}'
Response
Example · 200
{
  "max_size": 0
}